<?php
//////////////////////////////////////////
// CHAT POWERED : http://sim-sim.h2m.ru//
// ICQ : 378036650                     //
// Email : olegarhi75@mail.ru          //
// WEB SITE Version 1.0 www.waufon.ru  //
////////////////////////////////////////
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
$time = date( "H:i" );
$posts = $row['posts'];
$credits = $row['credits'];
echo "<title>Банк</title>\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n.cp \t{ border-style:solid; border-width: 0px; color: {$lcol} ; background-color: {$bcol}; text-align: left }\r\n</style>\r\n</head>\r\n<body>\r\n<p align=\"center\">Обмен валют</p>";
if ( empty( $do ) )
{
echo "<div>\r\n<u><b>Банкир</b></u> [{$time}]&gt;\r\n<b>".$row['login']."</b>, \r\nмы рады приветствовать Вас в нашем банке.<br/>\r\nУ Вас на счету:<br/>\r\n<u>{$posts}</u> ПОСТов<br/>\r\n<u>{$credits}</u> КРЕДИТов<br/>\r\nЖелаете обменять ПОСТы?\r\n</div>\r\n<form  action=\"bank.php\" method=\"post\">\r\n<i>Курс обмена:<br/>\r\n10 ПОСТОВ / 1 КРЕДИТ.</i><br/>\r\n<input type=\"text\" name=\"sale\" maxlength=\"10\"/><br/>\r\n<input type=\"hidden\" name=\"do\" value=\"upd\"/>\r\n<input type=\"hidden\" name=\"id\" value=\"{$id}\"/>\r\n<input type=\"hidden\" name=\"pass\" value=\"{$pass}\"/> \r\n<input type=\"hidden\" name=\"rm\" value=\"{$rm}\"/>    \r\n<input value=\"Обмен\" type=\"submit\" class=\"cp\">\r\n</form>";
}
else
{
$sale = intval( $sale );
if ( 0 < $sale )
{
$credit = floor( $sale / 10 );
}
else
{
$credit = 0;
}
if ( empty( $sale ) )
{
echo "<div>\r\n<u><b>Банкир</b></u> [{$time}]&gt;\r\n<b>".$row['login']."</b>,  \r\nВы не правильно заполнили документы!\r\n</div>";
}
else if ( $sale <= $posts )
{
$credits = $credit + $credits;
$posts = $posts - $sale;
if ( @mysql_query( "update users set posts='{$posts}',credits='{$credits}' where id='".$id."';" ) )
{
echo "<div>\r\n<u><b>Банкир</b></u> [{$time}]&gt;\r\n<b>".$row['login']."</b>,  \r\nПоздравляю! Вы успешно обменяли ПОСТы.<br/>\r\nТеперь у Вас:<br/>\r\n<u>{$posts}</u> ПОСТов<br/>\r\n<u>{$credits}</u> КРЕДИТов.<br/>\r\n<b>Удачи в игре!</b>\r\n</div>";
echo "<a href=\"index.php?id={$id}&amp;pass={$pass}\">В казино</a><br/>";
}
else
{
$msg = "Ошибка...";
}
}
else
{
echo "<div>\r\n<u><b>Банкир</b></u> [{$time}]&gt;\r\n<b>".$row['login']."</b>,  \r\nВы не можете обменять <u>{$sale}</u> ПОСТов, у вас их <u>{$posts}</u> !\r\n</div>";
}
}
echo "---<br/>";
if ( isset( $do ) )
{
echo "<a href=\"bank.php?id={$id}&amp;pass={$pass}\">В банк</a><br/>";
}
else
{
echo "<a href=\"index.php?id={$id}&amp;pass={$pass}\">В казино</a><br/>";
}
$end = gettime( );
echo "<a href=\"../enter.php?id={$id}&amp;pass={$pass}\">Прихожая</a>\r\n<p align=\"center\">\r\n[".round( $end - $mystart, 5 )."]\r\n</p></body></html>";
mysql_close( $link );
?>